curl --request POST \
--url https://api.ttapi.io/grok/generations \
--header 'Content-Type: application/json' \
--header 'TT-API-KEY: <api-key>' \
--data '
{
"prompt": "<string>",
"first_frame": "<string>",
"last_frame": "<string>",
"model": "grok-imagine-video-1.5-fast",
"aspect_ratio": "16:9",
"video_length": "10",
"resolution_name": "720p",
"hook_url": "https://example.com/callback"
}
'import requests
url = "https://api.ttapi.io/grok/generations"
payload = {
"prompt": "<string>",
"first_frame": "<string>",
"last_frame": "<string>",
"model": "grok-imagine-video-1.5-fast",
"aspect_ratio": "16:9",
"video_length": "10",
"resolution_name": "720p",
"hook_url": "https://example.com/callback"
}
headers = {
"TT-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'TT-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
first_frame: '<string>',
last_frame: '<string>',
model: 'grok-imagine-video-1.5-fast',
aspect_ratio: '16:9',
video_length: '10',
resolution_name: '720p',
hook_url: 'https://example.com/callback'
})
};
fetch('https://api.ttapi.io/grok/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"message": "success",
"data": {
"jobId": "jobId"
}
}{
"status": "FAILED",
"message": "\"prompt\" cannot be empty.",
"data": {}
}{
"status": "FAILED",
"message": "Wrong TT-API-KEY or email is not activated."
}First & Last Frame to Video
First & last frame to video - Specify both first_frame and last_frame
first_frame and last_frame simultaneously. Only supported by grok-imagine-video-1.5-fast. When both frames use the same image, it creates a loop effect.
Authorizations
You can obtain your API key from the TTAPI Dashboard.
Body
First & last frame to video request parameters
Prompt. Supports longer text input.
First frame image URL. Only supported by grok-imagine-video-1.5-fast. Used to strictly specify the first frame of the video.
Last frame image URL. Only supported by grok-imagine-video-1.5-fast. Used to specify the last frame of the video. When first_frame and last_frame use the same image, it creates a loop effect.
Model name. Only grok-imagine-video-1.5-fast is supported: duration 6-30s (6s and 10s are standard durations; 7s and 11s are not supported); supports multiple reference images (max 7); supports first/last frame control.
grok-imagine-video-1.5-fast "grok-imagine-video-1.5-fast"
Video aspect ratio
2:3, 3:2, 1:1, 9:16, 16:9 Video duration in seconds. Range: 6 to 30, where 6s and 10s are standard durations.
Output resolution. Available options: 480p, 720p.
480p, 720p, 1080p Callback URL address. When the task completes or fails, notifications will be sent to this address. The notification data structure is consistent with the fetch structure [blocked]. If not set, you need to call the fetch endpoint [blocked] to query the result
"https://example.com/callback"